# -*- coding: utf-8 -*-
from tests import HangulizeTestCase
from hangulize.langs.bel import Belarusian


class BelarusianTestCase(HangulizeTestCase):

    lang = Belarusian()

    def test_people(self):
        self.assert_examples({
            u'Аляксей Абалмасаў': u'알략세이 아발마사우',
            u'Вікторыя Азарэнка': u'빅토리야 아자렌카',
            u'Святлана Алексіевіч': u'스뱌틀라나 알렉시예비치',
            u'Францішак Аляхновіч': u'프란치샤크 알랴흐노비치',
            u'Андрэй Арамнаў': u'안드레이 아람나우',
            u'Алег Ахрэм': u'알레크 아흐렘',
            u'Максім Багдановіч': u'막심 바흐다노비치',
            u'Святлана Багінская': u'스뱌틀라나 바힌스카야',
            u'Францішак Багушэвіч': u'프란치샤크 바후셰비치',
            u'Сымон Будны': u'시몬 부드니',
            u'Аляксандр Глеб': u'알략산드르 흘레프',
            u'Яўген Глебаў': u'야우헨 흘레바우',
            u'Аляксей Грышын': u'알략세이 흐리신',
            u'Вінцэнт Дунін-Марцінкевіч': u'빈첸트 두닌마르친케비치',
            u'Ефрасіння Полацкая': u'예프라신냐 폴라츠카야',
            u'Кастусь Каліноўскі': u'카스투스 칼리노우스키',
            u'Кацярына Карстэн': u'카차리나 카르스텐',
            u'Якуб Колас': u'야쿠프 콜라스',
            u'Янка Купала': u'얀카 쿠팔라',
            u'Вацлаў Ластоўскі': u'바츨라우 라스토우스키',
            u'Аляксандр Лукашэнка': u'알략산드르 루카셴카',
            u'Ігар Лучанок': u'이하르 루차노크',
            u'Вадзім Махнеў': u'바짐 마흐네우',
            u'Юлія Несцярэнка': u'율리야 네스차렌카',
            u'Аляксандр Патупа': u'알략산드르 파투파',
            u'Іпаці Пацей': u'이파치 파체이',
            u'Алаіза Пашкевіч': u'알라이자 파슈케비치',
            u'Наталля Пяткевіч': u'나탈랴 퍄트케비치',
            u'Радзівіл': u'라지빌',
            u'Максім Рамашчанка': u'막심 라마샨카',
            u'Міхаіл Савіцкі': u'미하일 사비츠키',
            u'Леў Сапега': u'레우 사페하',
            u'Ян Серада': u'얀 세라다',
            u'Францыск Скарына': u'프란치스크 스카리나',
            u'Раман Скірмунт': u'라만 스키르문트',
            u'Мялецій Сматрыцкі': u'먈레치 스마트리츠키',
            u'Ян Станкевіч': u'얀 스탄케비치',
            u'Фёдар Сумкін': u'표다르 숨킨',
            u'Браніслаў Тарашкевіч': u'브라니슬라우 타라슈케비치',
            u'Віктар Тураў': u'빅타르 투라우',
            u'Мікалай Улашчык': u'미칼라이 울라시크',
            u'Фёдар Фёдараў': u'표다르 표다라우',
            u'Ян Чачот': u'얀 차초트',
        })

    def test_places(self):
        self.assert_examples({
            u'Бабруйск': u'바브루이스크',
            u'Баранавічы': u'바라나비치',
            u'Белавежская пушча': u'벨라베슈스카야 푸샤',
            u'Беларусь': u'벨라루스',
            u'Брэст': u'브레스트',
            u'Віцебск': u'비쳅스크',
            u'Гомель': u'호멜',
            u'Гродна': u'흐로드나',
            u'Камянец': u'카먀네츠',
            u'Магілёў': u'마힐료우',
            u'Мінск': u'민스크',
            u'Мір': u'미르',
            u'Мураванка': u'무라반카',
            u'Нясвіж': u'냐스비시',
            u'Полацк': u'폴라츠크',
            u'Сынкавічы': u'신카비치',
        })
