# -*- coding: utf-8 -*-
from tests import HangulizeTestCase
from hangulize.langs.isl import Icelandic


class IcelandicTestCase(HangulizeTestCase):

    lang = Icelandic()

    def test_people(self):
        self.assert_examples({
            u'Agnar Helgason': u'아그나르 헬가손',
            u'Ágústa Eva Erlendsdóttir': u'아우구스타 에바 에를렌스도티르',
            u'Albert Guðmundsson': u'알베르트 그뷔드뮌손',
            u'Ari Þorgilsson': u'아리 소르길손',
            u'Arnaldur Indriðason': u'아르드날뒤르 인드리다손',
            u'Árni Magnússon': u'아우르드니 마그누손',
            u'Árni Sigfússon': u'아우르드니 시그푸손',
            u'Ásgeir Ásgeirsson': u'아우스게이르 아우스게이르손',
            u'Ásgeir Helgason': u'아우스게이르 헬가손',
            u'Ásgeir Sigurvinsson': u'아우스게이르 시귀르빈손',
            u'Ásmundur Sveinsson': u'아우스뮌뒤르 스베인손',
            u'Baltasar Kormákur': u'발타사르 코르마우퀴르',
            u'Björgólfur Guðmundsson': u'비외르골뷔르 그뷔드뮌손',
            u'Björgólfur Thor Björgólfsson': u'비외르골뷔르 소르 비외르골프손',
            u'Björgvin Halldórsson': u'비외르그빈 하들도르손',
            u'Björk Guðmundsdóttir': u'비외르크 그뷔드뮌스도티르',
            u'Björn Bjarnason': u'비외르든 비아르드나손',
            u'Björn Hlynur Haraldsson': u'비외르든 흘리뉘르 하랄손',
            u'Bragi Ólafsson': u'브라이이 올라프손',
            u'Davíð Oddsson': u'다비드 오드손',
            u'Davíð Stefánsson': u'다비드 스테파운손',
            u'Eggert Pálsson': u'에게르트 파울손',
            u'Eiður Smári Guðjohnsen': u'에이뒤르 스마우리 그뷔드요흔센',
            u'Einar Bárðarson': u'에이나르 바우르다르손',
            u'Einar Benediktsson': u'에이나르 베네딕츠손',
            u'Einar Hákonarson': u'에이나르 하우코나르손',
            u'Einar Hjörleifsson Kvaran': u'에이나르 혜르들레이프손 크바란',
            u'Einar Jónsson': u'에이나르 욘손',
            u'Einar Kárason': u'에이나르 카우라손',
            u'Einar Már Guðmundsson': u'에이나르 마우르 그뷔드뮌손',
            u'Einar Örn Benediktsson': u'에이나르 외르든 베네딕츠손',
            u'Eiríkur rauði': u'에이리퀴르 뢰이디',
            u'Eiríkur Hauksson': u'에이리퀴르 회익손',
            u'Emilíana Torrini Davíðsdóttir': u'에밀리아나 토리니 다비스도티르',
            u'Freydís Eiríksdóttir': u'프레이디스 에이릭스도티르',
            u'Friðrik Ólafsson': u'프리드리크 올라프손',
            u'Friðrik Þór Friðriksson': u'프리드리크 소르 프리드릭손',
            u'Garðar': u'가르다르',
            u'Geir Hilmar': u'게이르 힐마르',
            u'Gisli Gudjonsson': u'기슬리 그뷔드욘손',
            u'Gísli Örn Garðarsson': u'기슬리 외르든 가르다르손',
            u'Gísli Pálsson': u'기슬리 파울손',
            u'Guðmundur Arason': u'그뷔드뮌뒤르 아라손',
            u'Guðmundur Hagalín': u'그뷔드뮌뒤르 하갈린',
            u'Guðríður Þorbjarnardóttir': u'그뷔드리뒤르 소르비아르드나르도티르',
            u'Gunnfríður Jónsdóttir': u'귄프리뒤르 욘스도티르',
            u'Hafdís Huld': u'하프디스 휠드',
            u'Halldór Ásgrímsson': u'하들도르 아우스그림손',
            u'Halldór Blöndal': u'하들도르 블뢴달',
            u'Halldór Kiljan Laxness': u'하들도르 킬리안 락스네스',
            u'Hallgrímur Helgason': u'하들그리뮈르 헬가손',
            u'Hannes Hafstein': u'한네스 하프스테인',
            u'Hannes Hólmsteinn Gissurarson': u'한네스 홀름스테이든 기쉬라르손',
            u'Hannibal Valdimarsson': u'한니발 발디마르손',
            u'Haukur Tómasson': u'회이퀴르 토마손',
            u'Heiðar Helguson': u'헤이다르 헬귀손',
            u'Helgi Valdimarsson': u'헬기 발디마르손',
            u'Hermann Hreiðarsson': u'헤르만 흐레이다르손',
            u'Hilmar Örn Hilmarsson': u'힐마르 외르든 힐마르손',
            u'Hilmir Snær Guðnason': u'힐미르 스나이르 그뷔드나손',
            u'Hólmfríður Karlsdóttir': u'홀름프리뒤르 카르들스도티르',
            u'Hrafn Gunnlaugsson': u'흐라픈 귄뢰익손',
            u'Hreiðar Már Sigurðsson': u'흐레이다르 마우르 시귀르손',
            u'Ingólfur Arnarson': u'잉골뷔르 아르드나르손',
            u'Ísleifur Gissurarson': u'이슬레이뷔르 기쉬라르손',
            u'Ívar Ingimarsson': u'이바르 잉기마르손',
            u'Jóhanna Sigurðardóttir': u'요한나 시귀르다르도티르',
            u'Jóhannes Karl Gudjonsson': u'요한네스 카르들 그뷔드욘손',
            u'Jóhannes úr Kötlum': u'요한네스 우르 쾨틀륌',
            u'Jón Ásgeir Jóhannesson': u'욘 아우스게이르 요한네손',
            u'Jón Baldvin Hannibalsson': u'욘 발드빈 한니발손',
            u'Jón Kalman Stefánsson': u'욘 칼만 스테파운손',
            u'Jón Leifs': u'욘 레이프스',
            u'Jón Loftsson': u'욘 로프츠손',
            u'Jón Páll Sigmarsson': u'욘 파우들 시그마르손',
            u'Jón Sigurðsson': u'욘 시귀르손',
            u'Jón Thoroddsen': u'욘 소로드센',
            u'Jónas Hallgrímsson': u'요나스 하들그림손',
            u'Kári Stefánsson': u'카우리 스테파운손',
            u'Kjartan Ólafsson': u'캬르탄 올라프손',
            u'Kolbeinn Tumason': u'콜베이든 튀마손',
            u'Kristín Marja Baldursdóttir': u'크리스틴 마리아 발뒤르스도티르',
            u'Kristján Eldjárn': u'크리스티아운 엘디아우르든',
            u'Leifur Eiríksson': u'레이뷔르 에이릭손',
            u'Linda Pétursdóttir': u'린다 피에튀르스도티르',
            u'Loftur Sæmundsson': u'로프튀르 사이뮌손',
            u'Magnús Magnússon': u'마그누스 마그누손',
            u'Magnús Þorsteinsson': u'마그누스 소르스테인손',
            u'Magnús Ver Magnússon': u'마그누스 베르 마그누손',
            u'Margrét Hermanns Auðardóttir': u'마르그리에트 헤르만스 외이다르도티르',
            u'Margrét Vilhjálmsdóttir': u'마르그리에트 빌햐울름스도티르',
            u'Markús Örn Antonsson': u'마르쿠스 외르든 안톤손',
            u'Mugison': u'뮈이이손',
            u'Nína Dögg Filippusdóttir': u'니나 되그 필리퓌스도티르',
            u'Ólafur Darri Ólafsson': u'올라뷔르 다리 올라프손',
            u'Ólafur Egill Ólafsson': u'올라뷔르 에이이들 올라프손',
            u'Ólafur Jóhann Ólafsson': u'올라뷔르 요한 올라프손',
            u'Ólafur Ragnar Grímsson': u'올라뷔르 라그나르 그림손',
            u'Örvar Þóreyjarson Smárason': u'외르바르 소레이야르손 스마우라손',
            u'Páll Skúlason': u'파우들 스쿨라손',
            u'Ragnar Bjarnason': u'라그나르 비아르드나손',
            u'Ragnar Bragason': u'라그나르 브라가손',
            u'Ragnheiður Gröndal': u'라근헤이뒤르 그뢴달',
            u'Silvía Nótt': u'실비아 노트',
            u'Sigurður Helgason': u'시귀르뒤르 헬가손',
            u'Sigurður Nordal': u'시귀르뒤르 노르달',
            u'Sigurður Þórarinsson': u'시귀르뒤르 소라린손',
            u'Sjón': u'숀',
            u'Snorri Hjartarson': u'스노리 햐르타르손',
            u'Snorri Sturluson': u'스노리 스튀르들뤼손',
            u'Steingrímur Hermannsson': u'스테잉그리뮈르 헤르만손',
            u'Steinunn Sigurðardóttir': u'스테이뉜 시귀르다르도티르',
            u'Stefán Guðmundur Guðmundsson': u'스테파운 그뷔드뮌뒤르 그뷔드뮌손',
            u'Sveinn Björnsson': u'스베이든 비외르든손',
            u'Þóra Magnúsdóttir': u'소라 마그누스도티르',
            u'Þórarinn Eldjárn': u'소라린 엘디아우르든',
            u'Þórbergur Þórðarson': u'소르베르귀르 소르다르손',
            u'Þorfinnur Karlsefni': u'소르핀뉘르 카르들세프니',
            u'Þorgeirr Þorkelsson Ljósvetningagoði': u'소르게이르 소르켈손 리오스베트닝가고디',
            u'Thorkell Atlason': u'소르케들 아틀라손',
            u'Þorsteinn Gylfason': u'소르스테이든 길바손',
            u'Þorsteinn Pálsson': u'소르스테이든 파울손',
            u'Þorvaldur Eiríksson': u'소르발뒤르 에이릭손',
            u'Tinna Gunnlaugsdóttir': u'틴나 귄뢰익스도티르',
            u'Tómas Guðmundsson': u'토마스 그뷔드뮌손',
            u'Unnur Birna Vilhjálmsdóttir': u'윈뉘르 비르드나 빌햐울름스도티르',
            u'Vala Flosadottir': u'발라 플로사도티르',
            u'Vigdís Finnbogadóttir': u'비그디스 핀보가도티르',
            u'Vigdís Grímsdóttir': u'비그디스 그림스도티르',
            u'Viktor Arnar Ingólfsson': u'빅토르 아르드나르 잉골프손',
            u'Vilhjálmur Árnason': u'빌햐울뮈르 아우르드나손',
            u'Vilhjálmur Stefánsson': u'빌햐울뮈르 스테파운손',
        })

    def test_places(self):
        self.assert_examples({
            u'Akranes': u'아크라네스',
            u'Akureyri': u'아퀴레이리',
            u'Blöndós': u'블뢴도스',
            u'Bolungarvík': u'볼룽가르비크',
            u'Borgafjörður': u'보르가피외르뒤르',
            u'Borganes': u'보르가네스',
            u'Dalvík': u'달비크',
            u'Djúpivogur': u'디우피보귀르',
            u'Egilsstaðir': u'에이일스타디르',
            u'Eyjafjallajökull': u'에이야피아들라예퀴들',
            u'Goðafoss': u'고다포스',
            u'Grímsey': u'그림세이',
            u'Grindavík': u'그린다비크',
            u'Hafnarfjörður': u'하프나르피외르뒤르',
            u'Höfn í Hornafirði': u'회픈 이 호르드나피르디',
            u'Hofsjökull': u'호프스예퀴들',
            u'Hólmavík': u'홀마비크',
            u'Húsavík': u'후사비크',
            u'Hvammstangi': u'크밤스타웅기',
            u'Hvíta': u'크비타',
            u'Hvolsvöllur': u'크볼스뵈들뤼르',
            u'Ísafjörður': u'이사피외르뒤르',
            u'Keflavík': u'케플라비크',
            u'Kópavogur': u'코파보귀르',
            u'Lagarfljólt': u'라가르플리올트',
            u'Langjökull': u'라웅그예퀴들',
            u'Mosfellsbær': u'모스펠스바이르',
            u'Mýrdalsjökull': u'미르달스예퀴들',
            u'Mývatn': u'미바튼',
            u'Neskaupstaður': u'네스쾨이프스타뒤르',
            u'Njarðvík': u'니아르드비크',
            u'Ólafsfjörður': u'올라프스피외르뒤르',
            u'Ólafsvík': u'올라프스비크',
            u'Raufarhöfn': u'뢰이바르회픈',
            u'Reykjanes': u'레이캬네스',
            u'Reykjavík': u'레이캬비크',
            u'Sauðárkrókur': u'쇠이다우르크로퀴르',
            u'Selfoss': u'셀포스',
            u'Seyðisfjörður': u'세이디스피외르뒤르',
            u'Siglufjörður': u'시글뤼피외르뒤르',
            u'Skjálfandafljót': u'스캬울반다플리오트',
            u'Stykkishólmur': u'스티키스홀뮈르',
            u'Surtsey': u'쉬르트세이',
            u'Vatnajökull': u'바트나예퀴들',
            u'Vík': u'비크',
            u'Vopnafjörður': u'보프나피외르뒤르',
            u'Þingvellir': u'싱그베들리르',
            u'Þjórsá': u'시오르사우',
            u'Þórisvatn': u'소리스바튼',
            u'Þorlákshöfn': u'소를라욱스회픈',
            u'Þórshöfn': u'소르스회픈',
        })